# Replica Pool API . pools

## Instance Methods

Deletes a replica pool.

Gets information about a single replica pool.

Inserts a new replica pool.

List all replica pools.

Retrieves the next page of results.

Resize a pool. This is an asynchronous operation, and multiple overlapping resize requests can be made. Replica Pools will use the information from the last resize request.

Update the template used by the pool.

### Method Details

`delete(projectName, zone, poolName, body)`

    Deletes a replica pool.

    Args:
      projectName: string, The project ID for this replica pool. (required)
      zone: string, The zone for this replica pool. (required)
      poolName: string, The name of the replica pool for this request. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "abandonInstances": [ # If there are instances you would like to keep, you can specify them here. These instances won't be deleted, but the associated replica objects will be removed.
          "A String",
        ],
      }

`get(projectName, zone, poolName)`

    Gets information about a single replica pool.

    Args:
      projectName: string, The project ID for this replica pool. (required)
      zone: string, The zone for this replica pool. (required)
      poolName: string, The name of the replica pool for this request. (required)

    Returns:
      An object of the form:

        {
          "autoRestart": True or False, # Whether replicas in this pool should be restarted if they experience a failure. The default value is true.
          "resourceViews": [ # The list of resource views that should be updated with all the replicas that are managed by this pool.
            "A String",
          ],
          "description": "A String", # An optional description of the replica pool.
          "labels": [ # A list of labels to attach to this replica pool and all created virtual machines in this replica pool.
            { # A label to apply to this replica pool.
              "value": "A String", # The value of this label.
              "key": "A String", # The key for this label.
            },
          ],
          "targetPool": "A String", # Deprecated, please use target_pools instead.
          "baseInstanceName": "A String", # The base instance name to use for the replicas in this pool. This must match the regex [a-z]([-a-z0-9]*[a-z0-9])?. If specified, the instances in this replica pool will be named in the format -. The  postfix will be a four character alphanumeric identifier generated by the service.
              #
              # If this is not specified by the user, a random base instance name is generated by the service.
          "numReplicas": 42, # Deprecated! Use initial_num_replicas instead.
          "template": { # The template used for creating replicas in the pool. # The template to use when creating replicas in this pool. This template is used during initial instance creation of the pool, when growing the pool in size, or when a replica restarts.
            "action": { # An action that gets executed during initialization of the replicas. # An action to run during initialization of your replicas. An action is run as shell commands which are executed one after the other in the same bash shell, so any state established by one command is inherited by later commands.
              "timeoutMilliSeconds": 42, # If an action's commands on a particular replica do not finish in the specified timeoutMilliSeconds, the replica is considered to be in a FAILING state. No efforts are made to stop any processes that were spawned or created as the result of running the action's commands. The default is the max allowed value, 1 hour (i.e. 3600000 milliseconds).
              "commands": [ # A list of commands to run, one per line. If any command fails, the whole action is considered a failure and no further actions are run. This also marks the virtual machine or replica as a failure.
                "A String",
              ],
              "envVariables": [ # A list of environment variables to use for the commands in this action.
                { # An environment variable to set for an action.
                  "hidden": True or False, # Deprecated, do not use.
                  "name": "A String", # The name of the environment variable.
                  "value": "A String", # The value of the variable.
                },
              ],
            },
            "healthChecks": [ # A list of HTTP Health Checks to configure for this replica pool and all virtual machines in this replica pool.
              {
                "description": "A String", # The description for this health check.
                "timeoutSec": 42, # How long (in seconds) to wait before a timeout failure for this healthcheck. The default value is 5 seconds.
                "checkIntervalSec": 42, # How often (in seconds) to make HTTP requests for this healthcheck. The default value is 5 seconds.
                "unhealthyThreshold": 42, # The number of consecutive health check requests that need to fail in order to consider the replica unhealthy. The default value is 2.
                "healthyThreshold": 42, # The number of consecutive health check requests that need to succeed before the replica is considered healthy again. The default value is 2.
                "host": "A String", # The value of the host header in the HTTP health check request. If left empty (default value), the localhost IP 127.0.0.1 will be used.
                "path": "A String", # The localhost request path to send this health check, in the format /path/to/use. For example, /healthcheck.
                "port": 42, # The TCP port for the health check requests.
                "name": "A String", # The name of this health check.
              },
            ],
            "version": "A String", # A free-form string describing the version of this template. You can provide any versioning string you would like. For example, version1 or template-v1.
            "vmParams": { # Parameters for creating a Compute Engine Instance resource. Most fields are identical to the corresponding Compute Engine resource. # The virtual machine parameters to use for creating replicas. You can define settings such as the machine type and the image of replicas in this pool. This is required if replica type is SMART_VM.
              "disksToCreate": [ # A list of Disk resources to create and attach to each Replica in the Pool. Currently, you can only define one disk and it must be a root persistent disk. Note that Replica Pool will create a root persistent disk for each replica.
                { # A Persistent Disk resource that will be created and attached to each Replica in the Pool. Each Replica will have a unique persistent disk that is created and attached to that Replica in READ_WRITE mode.
                  "initializeParams": { # Initialization parameters for creating a new disk. # Create the new disk using these parameters. The name of the disk will be -

`insert(projectName, zone, body)`

    Inserts a new replica pool.

    Args:
      projectName: string, The project ID for this replica pool. (required)
      zone: string, The zone for this replica pool. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "autoRestart": True or False, # Whether replicas in this pool should be restarted if they experience a failure. The default value is true.
        "resourceViews": [ # The list of resource views that should be updated with all the replicas that are managed by this pool.
          "A String",
        ],
        "description": "A String", # An optional description of the replica pool.
        "labels": [ # A list of labels to attach to this replica pool and all created virtual machines in this replica pool.
          { # A label to apply to this replica pool.
            "value": "A String", # The value of this label.
            "key": "A String", # The key for this label.
          },
        ],
        "targetPool": "A String", # Deprecated, please use target_pools instead.
        "baseInstanceName": "A String", # The base instance name to use for the replicas in this pool. This must match the regex [a-z]([-a-z0-9]*[a-z0-9])?. If specified, the instances in this replica pool will be named in the format -. The  postfix will be a four character alphanumeric identifier generated by the service.
            #
            # If this is not specified by the user, a random base instance name is generated by the service.
        "numReplicas": 42, # Deprecated! Use initial_num_replicas instead.
        "template": { # The template used for creating replicas in the pool. # The template to use when creating replicas in this pool. This template is used during initial instance creation of the pool, when growing the pool in size, or when a replica restarts.
          "action": { # An action that gets executed during initialization of the replicas. # An action to run during initialization of your replicas. An action is run as shell commands which are executed one after the other in the same bash shell, so any state established by one command is inherited by later commands.
            "timeoutMilliSeconds": 42, # If an action's commands on a particular replica do not finish in the specified timeoutMilliSeconds, the replica is considered to be in a FAILING state. No efforts are made to stop any processes that were spawned or created as the result of running the action's commands. The default is the max allowed value, 1 hour (i.e. 3600000 milliseconds).
            "commands": [ # A list of commands to run, one per line. If any command fails, the whole action is considered a failure and no further actions are run. This also marks the virtual machine or replica as a failure.
              "A String",
            ],
            "envVariables": [ # A list of environment variables to use for the commands in this action.
              { # An environment variable to set for an action.
                "hidden": True or False, # Deprecated, do not use.
                "name": "A String", # The name of the environment variable.
                "value": "A String", # The value of the variable.
              },
            ],
          },
          "healthChecks": [ # A list of HTTP Health Checks to configure for this replica pool and all virtual machines in this replica pool.
            {
              "description": "A String", # The description for this health check.
              "timeoutSec": 42, # How long (in seconds) to wait before a timeout failure for this healthcheck. The default value is 5 seconds.
              "checkIntervalSec": 42, # How often (in seconds) to make HTTP requests for this healthcheck. The default value is 5 seconds.
              "unhealthyThreshold": 42, # The number of consecutive health check requests that need to fail in order to consider the replica unhealthy. The default value is 2.
              "healthyThreshold": 42, # The number of consecutive health check requests that need to succeed before the replica is considered healthy again. The default value is 2.
              "host": "A String", # The value of the host header in the HTTP health check request. If left empty (default value), the localhost IP 127.0.0.1 will be used.
              "path": "A String", # The localhost request path to send this health check, in the format /path/to/use. For example, /healthcheck.
              "port": 42, # The TCP port for the health check requests.
              "name": "A String", # The name of this health check.
            },
          ],
          "version": "A String", # A free-form string describing the version of this template. You can provide any versioning string you would like. For example, version1 or template-v1.
          "vmParams": { # Parameters for creating a Compute Engine Instance resource. Most fields are identical to the corresponding Compute Engine resource. # The virtual machine parameters to use for creating replicas. You can define settings such as the machine type and the image of replicas in this pool. This is required if replica type is SMART_VM.
            "disksToCreate": [ # A list of Disk resources to create and attach to each Replica in the Pool. Currently, you can only define one disk and it must be a root persistent disk. Note that Replica Pool will create a root persistent disk for each replica.
              { # A Persistent Disk resource that will be created and attached to each Replica in the Pool. Each Replica will have a unique persistent disk that is created and attached to that Replica in READ_WRITE mode.
                "initializeParams": { # Initialization parameters for creating a new disk. # Create the new disk using these parameters. The name of the disk will be --. The  postfix will be a four character alphanumeric identifier generated by the service.
              #
              # If this is not specified by the user, a random base instance name is generated by the service.
          "numReplicas": 42, # Deprecated! Use initial_num_replicas instead.
          "template": { # The template used for creating replicas in the pool. # The template to use when creating replicas in this pool. This template is used during initial instance creation of the pool, when growing the pool in size, or when a replica restarts.
            "action": { # An action that gets executed during initialization of the replicas. # An action to run during initialization of your replicas. An action is run as shell commands which are executed one after the other in the same bash shell, so any state established by one command is inherited by later commands.
              "timeoutMilliSeconds": 42, # If an action's commands on a particular replica do not finish in the specified timeoutMilliSeconds, the replica is considered to be in a FAILING state. No efforts are made to stop any processes that were spawned or created as the result of running the action's commands. The default is the max allowed value, 1 hour (i.e. 3600000 milliseconds).
              "commands": [ # A list of commands to run, one per line. If any command fails, the whole action is considered a failure and no further actions are run. This also marks the virtual machine or replica as a failure.
                "A String",
              ],
              "envVariables": [ # A list of environment variables to use for the commands in this action.
                { # An environment variable to set for an action.
                  "hidden": True or False, # Deprecated, do not use.
                  "name": "A String", # The name of the environment variable.
                  "value": "A String", # The value of the variable.
                },
              ],
            },
            "healthChecks": [ # A list of HTTP Health Checks to configure for this replica pool and all virtual machines in this replica pool.
              {
                "description": "A String", # The description for this health check.
                "timeoutSec": 42, # How long (in seconds) to wait before a timeout failure for this healthcheck. The default value is 5 seconds.
                "checkIntervalSec": 42, # How often (in seconds) to make HTTP requests for this healthcheck. The default value is 5 seconds.
                "unhealthyThreshold": 42, # The number of consecutive health check requests that need to fail in order to consider the replica unhealthy. The default value is 2.
                "healthyThreshold": 42, # The number of consecutive health check requests that need to succeed before the replica is considered healthy again. The default value is 2.
                "host": "A String", # The value of the host header in the HTTP health check request. If left empty (default value), the localhost IP 127.0.0.1 will be used.
                "path": "A String", # The localhost request path to send this health check, in the format /path/to/use. For example, /healthcheck.
                "port": 42, # The TCP port for the health check requests.
                "name": "A String", # The name of this health check.
              },
            ],
            "version": "A String", # A free-form string describing the version of this template. You can provide any versioning string you would like. For example, version1 or template-v1.
            "vmParams": { # Parameters for creating a Compute Engine Instance resource. Most fields are identical to the corresponding Compute Engine resource. # The virtual machine parameters to use for creating replicas. You can define settings such as the machine type and the image of replicas in this pool. This is required if replica type is SMART_VM.
              "disksToCreate": [ # A list of Disk resources to create and attach to each Replica in the Pool. Currently, you can only define one disk and it must be a root persistent disk. Note that Replica Pool will create a root persistent disk for each replica.
                { # A Persistent Disk resource that will be created and attached to each Replica in the Pool. Each Replica will have a unique persistent disk that is created and attached to that Replica in READ_WRITE mode.
                  "initializeParams": { # Initialization parameters for creating a new disk. # Create the new disk using these parameters. The name of the disk will be -

`list(projectName, zone, pageToken=None, maxResults=None)`

    List all replica pools.

    Args:
      projectName: string, The project ID for this request. (required)
      zone: string, The zone for this replica pool. (required)
      pageToken: string, Set this to the nextPageToken value returned by a previous list request to obtain the next page of results from the previous list request.
      maxResults: integer, Maximum count of results to be returned. Acceptable values are 0 to 100, inclusive. (Default: 50)

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String",
        "resources": [
          {
              "autoRestart": True or False, # Whether replicas in this pool should be restarted if they experience a failure. The default value is true.
              "resourceViews": [ # The list of resource views that should be updated with all the replicas that are managed by this pool.
                "A String",
              ],
              "description": "A String", # An optional description of the replica pool.
              "labels": [ # A list of labels to attach to this replica pool and all created virtual machines in this replica pool.
                { # A label to apply to this replica pool.
                  "value": "A String", # The value of this label.
                  "key": "A String", # The key for this label.
                },
              ],
              "targetPool": "A String", # Deprecated, please use target_pools instead.
              "baseInstanceName": "A String", # The base instance name to use for the replicas in this pool. This must match the regex [a-z]([-a-z0-9]*[a-z0-9])?. If specified, the instances in this replica pool will be named in the format -. The  postfix will be a four character alphanumeric identifier generated by the service.
                  #
                  # If this is not specified by the user, a random base instance name is generated by the service.
              "numReplicas": 42, # Deprecated! Use initial_num_replicas instead.
              "template": { # The template used for creating replicas in the pool. # The template to use when creating replicas in this pool. This template is used during initial instance creation of the pool, when growing the pool in size, or when a replica restarts.
                "action": { # An action that gets executed during initialization of the replicas. # An action to run during initialization of your replicas. An action is run as shell commands which are executed one after the other in the same bash shell, so any state established by one command is inherited by later commands.
                  "timeoutMilliSeconds": 42, # If an action's commands on a particular replica do not finish in the specified timeoutMilliSeconds, the replica is considered to be in a FAILING state. No efforts are made to stop any processes that were spawned or created as the result of running the action's commands. The default is the max allowed value, 1 hour (i.e. 3600000 milliseconds).
                  "commands": [ # A list of commands to run, one per line. If any command fails, the whole action is considered a failure and no further actions are run. This also marks the virtual machine or replica as a failure.
                    "A String",
                  ],
                  "envVariables": [ # A list of environment variables to use for the commands in this action.
                    { # An environment variable to set for an action.
                      "hidden": True or False, # Deprecated, do not use.
                      "name": "A String", # The name of the environment variable.
                      "value": "A String", # The value of the variable.
                    },
                  ],
                },
                "healthChecks": [ # A list of HTTP Health Checks to configure for this replica pool and all virtual machines in this replica pool.
                  {
                    "description": "A String", # The description for this health check.
                    "timeoutSec": 42, # How long (in seconds) to wait before a timeout failure for this healthcheck. The default value is 5 seconds.
                    "checkIntervalSec": 42, # How often (in seconds) to make HTTP requests for this healthcheck. The default value is 5 seconds.
                    "unhealthyThreshold": 42, # The number of consecutive health check requests that need to fail in order to consider the replica unhealthy. The default value is 2.
                    "healthyThreshold": 42, # The number of consecutive health check requests that need to succeed before the replica is considered healthy again. The default value is 2.
                    "host": "A String", # The value of the host header in the HTTP health check request. If left empty (default value), the localhost IP 127.0.0.1 will be used.
                    "path": "A String", # The localhost request path to send this health check, in the format /path/to/use. For example, /healthcheck.
                    "port": 42, # The TCP port for the health check requests.
                    "name": "A String", # The name of this health check.
                  },
                ],
                "version": "A String", # A free-form string describing the version of this template. You can provide any versioning string you would like. For example, version1 or template-v1.
                "vmParams": { # Parameters for creating a Compute Engine Instance resource. Most fields are identical to the corresponding Compute Engine resource. # The virtual machine parameters to use for creating replicas. You can define settings such as the machine type and the image of replicas in this pool. This is required if replica type is SMART_VM.
                  "disksToCreate": [ # A list of Disk resources to create and attach to each Replica in the Pool. Currently, you can only define one disk and it must be a root persistent disk. Note that Replica Pool will create a root persistent disk for each replica.
                    { # A Persistent Disk resource that will be created and attached to each Replica in the Pool. Each Replica will have a unique persistent disk that is created and attached to that Replica in READ_WRITE mode.
                      "initializeParams": { # Initialization parameters for creating a new disk. # Create the new disk using these parameters. The name of the disk will be -

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.

`resize(projectName, zone, poolName, numReplicas=None)`

    Resize a pool. This is an asynchronous operation, and multiple overlapping resize requests can be made. Replica Pools will use the information from the last resize request.

    Args:
      projectName: string, The project ID for this replica pool. (required)
      zone: string, The zone for this replica pool. (required)
      poolName: string, The name of the replica pool for this request. (required)
      numReplicas: integer, The desired number of replicas to resize to. If this number is larger than the existing number of replicas, new replicas will be added. If the number is smaller, then existing replicas will be deleted.

    Returns:
      An object of the form:

        {
          "autoRestart": True or False, # Whether replicas in this pool should be restarted if they experience a failure. The default value is true.
          "resourceViews": [ # The list of resource views that should be updated with all the replicas that are managed by this pool.
            "A String",
          ],
          "description": "A String", # An optional description of the replica pool.
          "labels": [ # A list of labels to attach to this replica pool and all created virtual machines in this replica pool.
            { # A label to apply to this replica pool.
              "value": "A String", # The value of this label.
              "key": "A String", # The key for this label.
            },
          ],
          "targetPool": "A String", # Deprecated, please use target_pools instead.
          "baseInstanceName": "A String", # The base instance name to use for the replicas in this pool. This must match the regex [a-z]([-a-z0-9]*[a-z0-9])?. If specified, the instances in this replica pool will be named in the format -. The  postfix will be a four character alphanumeric identifier generated by the service.
              #
              # If this is not specified by the user, a random base instance name is generated by the service.
          "numReplicas": 42, # Deprecated! Use initial_num_replicas instead.
          "template": { # The template used for creating replicas in the pool. # The template to use when creating replicas in this pool. This template is used during initial instance creation of the pool, when growing the pool in size, or when a replica restarts.
            "action": { # An action that gets executed during initialization of the replicas. # An action to run during initialization of your replicas. An action is run as shell commands which are executed one after the other in the same bash shell, so any state established by one command is inherited by later commands.
              "timeoutMilliSeconds": 42, # If an action's commands on a particular replica do not finish in the specified timeoutMilliSeconds, the replica is considered to be in a FAILING state. No efforts are made to stop any processes that were spawned or created as the result of running the action's commands. The default is the max allowed value, 1 hour (i.e. 3600000 milliseconds).
              "commands": [ # A list of commands to run, one per line. If any command fails, the whole action is considered a failure and no further actions are run. This also marks the virtual machine or replica as a failure.
                "A String",
              ],
              "envVariables": [ # A list of environment variables to use for the commands in this action.
                { # An environment variable to set for an action.
                  "hidden": True or False, # Deprecated, do not use.
                  "name": "A String", # The name of the environment variable.
                  "value": "A String", # The value of the variable.
                },
              ],
            },
            "healthChecks": [ # A list of HTTP Health Checks to configure for this replica pool and all virtual machines in this replica pool.
              {
                "description": "A String", # The description for this health check.
                "timeoutSec": 42, # How long (in seconds) to wait before a timeout failure for this healthcheck. The default value is 5 seconds.
                "checkIntervalSec": 42, # How often (in seconds) to make HTTP requests for this healthcheck. The default value is 5 seconds.
                "unhealthyThreshold": 42, # The number of consecutive health check requests that need to fail in order to consider the replica unhealthy. The default value is 2.
                "healthyThreshold": 42, # The number of consecutive health check requests that need to succeed before the replica is considered healthy again. The default value is 2.
                "host": "A String", # The value of the host header in the HTTP health check request. If left empty (default value), the localhost IP 127.0.0.1 will be used.
                "path": "A String", # The localhost request path to send this health check, in the format /path/to/use. For example, /healthcheck.
                "port": 42, # The TCP port for the health check requests.
                "name": "A String", # The name of this health check.
              },
            ],
            "version": "A String", # A free-form string describing the version of this template. You can provide any versioning string you would like. For example, version1 or template-v1.
            "vmParams": { # Parameters for creating a Compute Engine Instance resource. Most fields are identical to the corresponding Compute Engine resource. # The virtual machine parameters to use for creating replicas. You can define settings such as the machine type and the image of replicas in this pool. This is required if replica type is SMART_VM.
              "disksToCreate": [ # A list of Disk resources to create and attach to each Replica in the Pool. Currently, you can only define one disk and it must be a root persistent disk. Note that Replica Pool will create a root persistent disk for each replica.
                { # A Persistent Disk resource that will be created and attached to each Replica in the Pool. Each Replica will have a unique persistent disk that is created and attached to that Replica in READ_WRITE mode.
                  "initializeParams": { # Initialization parameters for creating a new disk. # Create the new disk using these parameters. The name of the disk will be -

`updatetemplate(projectName, zone, poolName, body)`

    Update the template used by the pool.

    Args:
      projectName: string, The project ID for this replica pool. (required)
      zone: string, The zone for this replica pool. (required)
      poolName: string, The name of the replica pool for this request. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # The template used for creating replicas in the pool.
      "action": { # An action that gets executed during initialization of the replicas. # An action to run during initialization of your replicas. An action is run as shell commands which are executed one after the other in the same bash shell, so any state established by one command is inherited by later commands.
        "timeoutMilliSeconds": 42, # If an action's commands on a particular replica do not finish in the specified timeoutMilliSeconds, the replica is considered to be in a FAILING state. No efforts are made to stop any processes that were spawned or created as the result of running the action's commands. The default is the max allowed value, 1 hour (i.e. 3600000 milliseconds).
        "commands": [ # A list of commands to run, one per line. If any command fails, the whole action is considered a failure and no further actions are run. This also marks the virtual machine or replica as a failure.
          "A String",
        ],
        "envVariables": [ # A list of environment variables to use for the commands in this action.
          { # An environment variable to set for an action.
            "hidden": True or False, # Deprecated, do not use.
            "name": "A String", # The name of the environment variable.
            "value": "A String", # The value of the variable.
          },
        ],
      },
      "healthChecks": [ # A list of HTTP Health Checks to configure for this replica pool and all virtual machines in this replica pool.
        {
          "description": "A String", # The description for this health check.
          "timeoutSec": 42, # How long (in seconds) to wait before a timeout failure for this healthcheck. The default value is 5 seconds.
          "checkIntervalSec": 42, # How often (in seconds) to make HTTP requests for this healthcheck. The default value is 5 seconds.
          "unhealthyThreshold": 42, # The number of consecutive health check requests that need to fail in order to consider the replica unhealthy. The default value is 2.
          "healthyThreshold": 42, # The number of consecutive health check requests that need to succeed before the replica is considered healthy again. The default value is 2.
          "host": "A String", # The value of the host header in the HTTP health check request. If left empty (default value), the localhost IP 127.0.0.1 will be used.
          "path": "A String", # The localhost request path to send this health check, in the format /path/to/use. For example, /healthcheck.
          "port": 42, # The TCP port for the health check requests.
          "name": "A String", # The name of this health check.
        },
      ],
      "version": "A String", # A free-form string describing the version of this template. You can provide any versioning string you would like. For example, version1 or template-v1.
      "vmParams": { # Parameters for creating a Compute Engine Instance resource. Most fields are identical to the corresponding Compute Engine resource. # The virtual machine parameters to use for creating replicas. You can define settings such as the machine type and the image of replicas in this pool. This is required if replica type is SMART_VM.
        "disksToCreate": [ # A list of Disk resources to create and attach to each Replica in the Pool. Currently, you can only define one disk and it must be a root persistent disk. Note that Replica Pool will create a root persistent disk for each replica.
          { # A Persistent Disk resource that will be created and attached to each Replica in the Pool. Each Replica will have a unique persistent disk that is created and attached to that Replica in READ_WRITE mode.
            "initializeParams": { # Initialization parameters for creating a new disk. # Create the new disk using these parameters. The name of the disk will be -